package config

type GiteaPagesConfig struct {
	Branch string `yaml:"branch"`
	Domain string `yaml:"domain"`
	RootPath string `yaml:"root_path"`
	Promoter struct{
		Template string `yaml:"template"`
		Path string `yaml:"path"`
		CertPath string `yaml:"cert_path"`
		Reload struct{
			Name string `yaml:"name"`
			Args []string `yaml:"args"`
		} `yaml:"reload"`
	} `yaml:"promoter"`
	PublicKey struct{
		Filename string `yaml:"filename"`
	} `yaml:"public_key"`
}